Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

%define svnrev r60

Name:		ccux-geninitramfs
Version:	0.0.14
Release:	3
Epoch:		1
Summary:	Initramfs scripts and helpers for CCux
License:	GNU/GPL
Group: 		System/Base
URL: 		http://www.ccux-linux.de
Source0:	%{name}-trunk.%{svnrev}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires(pre): 	/sbin/install-info
Requires: 	v86d busybox
BuildRequires: 	subversion
BuildRequires:  glibc-devel

%description
Initramfs scripts and helpers for CCux

%prep
%setup -q -n trunk.%{svnrev}

%build
./autogen.sh
%configure
make

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc COPYING AUTHORS ChangeLog NEWS README
%config %{_sysconfdir}/ccux-geninitramfs.conf
%{_sbindir}/ccux-geninitramfs
%{_datadir}/%{name}/initramfs/init
%{_datadir}/%{name}/initramfs/mount
%{_datadir}/%{name}/initramfs/run-init
%{_datadir}/%{name}/initramfs/umount
%{_datadir}/%{name}/mkinitramfs/gen_init_cpio
	       


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 09 2011 Karsten Brockmann <arcam@ccux-linux.de> 1:0.0.14-3
- added support for disk-labels/uuids
- svn r60
* Sun Sep 06 2009 Stefan Gottwald <gotti@ccux-linux.de> 1:0.0.14-2
- use pigz if present (enhance compression speed)
- svn r57
* Sun Jun 21 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.0.14-1
- Version update
- svn r55
* Wed Mar 04 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.0.13-1
- Version update
- new module-init-tools layout
* Mon Jan 26 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.0.12-1
- Version update
- integrates silent splash
* Sat Dec 20 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.0.11-1
- Version update
- fixes broken splash problem after initramfs update
* Sun Nov 09 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.0.10-1
- Version update
- fixes bug #47 ( blacklisting of modules )
* Mon Oct 27 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.0.9-1
- Version update
- svn rev 41
* Sun Oct 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:0.0.8-2
- svn rev 37 (fixed symlink)
* Sun Oct 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:0.0.8-1
- Version update
- svn rev 35 (fixed modprobe)
* Sun Oct 26 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.0.7-1
- Version update
- svn rev 32 (added mkfs for ext3, ext4, ext 2 and xfs)
* Sun Oct 26 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.0.6-1
- Version update
- svn rev 30 (added tune2fs)
* Sun Oct 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:0.0.5-1
- Version update
- svn rev 28 (ext4 support)
* Fri Oct 24 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.0.4-2
- removed noreplace from config, should make the upgarding cleaner
* Thu Oct 23 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.0.4-1
- Version update
- svn rev 23
* Tue Aug 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:0.0.3-1
- version update
- svn rev. 18
- fixes group / name resolution in initial udev run
- fixes devicemapper/dmraid feature
- fixes handling of firmware files
- splash integration is now configureable (defaults=no as we don't have splash yet)
* Sun Jul 27 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.0.2-1
- Version update svn rev. 17
* Sun Jun 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:0.0.1-1
- changed versioning scheme for clean upgrade path
- svn rev. 16
* Sat Jun 07 2008 Karsten Brockmann <arcam@ccux-linux.de> svn_r15-1
- Version update
* Sun Nov 25 2007 Christian Metzen <metzench@ccux-linux.de> svn_r13-1
- Version update
* Fri Oct 26 2007 Christian Metzen <metzench@ccux-linux.de> svn_r11-1
- Initial release
